> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pubrio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# モニター統計ログ

> 特定のモニターの検出ログのページネーション付きリストを取得します。



## OpenAPI

````yaml jp-openapi POST /monitors/statistics/logs
openapi: 3.0.0
info:
  description: >-
    Pubrio API
    はマーケット拡大インテリジェンスを提供します——企業の新市場参入を捉えるリアルタイムシグナルと、その基盤となる企業・人物データ。アカウントやコンタクトの検索・ルックアップ・エンリッチメントに加え、200+
    市場にわたる種別・日付付きの動きシグナルを購読できます。
  version: 1.0.0
  title: Pubrio OpenAPI
  termsOfService: https://pubrio.com/ja/terms-of-service
  contact:
    email: king.lai@pubrio.com
    name: King Lai
    url: https://pubrio.com/ja/get-in-touch
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.pubrio.com
security:
  - pubrio_api_key: []
tags:
  - name: Profile
    description: ワークスペースプロフィール情報と使用統計
  - name: Enrichment
    description: 詳細なB2Bデータで人物・企業レコードをエンリッチメント
  - name: Lookalike
    description: 指定した企業に類似する企業を検索
  - name: Search
    description: フィルターを使用して人物、企業、求人、ニュース、広告を検索
  - name: Lookup
    description: 特定の人物、企業、求人、ニュース、広告、テクノロジーの詳細情報を検索
  - name: LinkedIn
    description: LinkedInプロフィールURLから人物・企業データを検索
  - name: Redeem
    description: クレジットを消費して人物の連絡先情報をアンロック（単件・バッチ）
  - name: Channels
    description: アウトリーチチャネルテンプレートの管理（作成・更新・削除・一覧）
  - name: Monitor
    description: Webhook、統計、処理を含むデータモニターの作成と管理
  - name: Filters
    description: 検索パラメータで使用可能なフィルター値を取得（テクノロジー、地域、バーティカルなど）
  - name: API Keys
    description: APIキーのリクエストログと使用状況分析を表示
  - name: Insights
    description: 企業のシグナル集計インサイト(採用、ニュース、広告)。
  - name: Export
    description: 一括データエクスポート(クレジット消費)。
  - name: Expansion
    description: '企業の市場拡大インテリジェンス: シグナル、ステージ、市場、エクスポート。'
externalDocs:
  description: >-
    Pubrio API は、コンタクトおよびアカウント情報の検索・プレビュー・エンリッチメントに利用できます。Pubrio データベースは、豊富な B2B
    連絡先データとセールスインテリジェンスを提供します。
  url: https://docs.pubrio.com
paths:
  /monitors/statistics/logs:
    post:
      tags:
        - Monitor
      summary: モニター統計ログ一覧
      description: 特定のモニターの検出ログのページネーション付きリストを取得します。
      operationId: monitors_list_statistics_logs
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                monitor_id:
                  type: string
                  format: uuid
                  description: ログを取得するモニターの一意識別子。
                per_page:
                  type: integer
                  description: 1ページあたりの結果数。デフォルトは25。
                  default: 25
                page:
                  type: integer
                  description: ページネーション用のページ番号。デフォルトは1。
                  default: 1
                profile_id:
                  $ref: '#/components/schemas/profile_id'
      responses:
        '200':
          description: ページネーション付きのモニターログを含む成功レスポンスです。
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          page:
                            type: integer
                            description: 現在のページ番号。
                          per_page:
                            type: integer
                            description: 1ページあたりの結果数。
                          total_entries:
                            type: integer
                            description: ログエントリの総数。
                          total_pages:
                            type: integer
                            description: 総ページ数。
                          total_display_pages:
                            type: integer
                            description: 表示ページの総数。
                          is_timeout:
                            type: boolean
                            description: クエリがタイムアウトしたかどうか。
                      monitor_logs:
                        type: array
                        items:
                          type: object
                          properties:
                            monitor_log_id:
                              type: string
                              format: uuid
                              description: このログエントリの一意識別子。
                            monitor_id:
                              type: string
                              format: uuid
                              description: このログを生成したモニターの識別子。
                            parent_monitor_log_id:
                              type: string
                              description: リトライの場合、親ログエントリの識別子。
                            detection_mode:
                              type: string
                              description: 使用された検出モード。'company_first' または 'signal_first'。
                            signal_type:
                              type: array
                              items:
                                type: string
                              description: 監視対象のシグナルタイプ（例：'jobs'、'news'、'advertisements'）。
                            destination_type:
                              type: string
                              description: 配信先タイプ（例：'email'、'webhook'）。
                            response_status_code:
                              type: integer
                              description: 配信先からのHTTPステータスコード。
                            status:
                              type: string
                              description: トリガー実行のステータス（例：'success'、'failed'）。
                            error_message:
                              type: string
                              description: トリガーが失敗した場合のエラーメッセージ。成功時は空文字列。
                            total_signals:
                              type: integer
                              description: 検出されたシグナルの総数。
                            total_companies:
                              type: integer
                              description: 見つかった企業の総数。
                            total_people:
                              type: integer
                              description: 見つかった人物の総数。
                            trigger_credit:
                              type: integer
                              description: トリガー自体に消費されたクレジット。
                            total_company_credit:
                              type: integer
                              description: 企業エンリッチメントに消費されたクレジット。
                            total_people_credit:
                              type: integer
                              description: 人物エンリッチメントに消費されたクレジット。
                            redeem_email_credit:
                              type: integer
                              description: メール引き換えに消費されたクレジット。
                            redeem_phone_credit:
                              type: integer
                              description: 電話番号引き換えに消費されたクレジット。
                            total_credit:
                              type: integer
                              description: このトリガーで消費されたクレジットの合計。
                            retry_attempt:
                              type: integer
                              description: リトライ試行回数。
                            processing_time_ms:
                              type: integer
                              description: 合計処理時間（ミリ秒）。
                            created_at:
                              type: string
                              format: date-time
                              description: ログエントリが作成されたタイムスタンプ。
                            retry_logs:
                              type: array
                              items:
                                type: object
                              description: リトライログエントリの配列（存在する場合）。
                            is_retry_succeed:
                              type: boolean
                              description: リトライが成功したかどうか。
              example:
                data:
                  pagination:
                    page: 1
                    per_page: 25
                    total_entries: 45
                    total_pages: 2
                    total_display_pages: 2
                    is_timeout: false
                  monitor_logs:
                    - monitor_log_id: a1b2c3d4-e5f6-7890-abcd-ef1234567890
                      monitor_id: b2c3d4e5-f6a7-8901-bcde-f12345678901
                      parent_monitor_log_id: ''
                      detection_mode: company_first
                      signal_type:
                        - jobs
                        - news
                        - advertisements
                      destination_type: email
                      response_status_code: 200
                      status: success
                      error_message: ''
                      total_signals: 25
                      total_companies: 11
                      total_people: 32
                      trigger_credit: 15
                      total_company_credit: 11
                      total_people_credit: 33
                      redeem_email_credit: 0
                      redeem_phone_credit: 0
                      total_credit: 59
                      retry_attempt: 0
                      processing_time_ms: 97952
                      created_at: '2026-04-05T18:28:05.000Z'
                      retry_logs: []
                      is_retry_succeed: false
                    - ...
        '400':
          $ref: '#/components/responses/general_error'
        '429':
          $ref: '#/components/responses/rate_limit_error'
        '500':
          $ref: '#/components/responses/server_error'
components:
  schemas:
    profile_id:
      type: integer
      description: >-
        オプション。リクエストを送信するチームを表す識別子です。API
        キーにワークスペース情報が既に含まれているため、このパラメータは必須ではなくなりました。指定した場合、検索結果が特定のチーム（ワークスペース）に紐づけられ、データ取得およびクレジット利用状況の追跡が可能になります。詳しくは、チーム関連の「ユーザー詳細」エンドポイントを参照してください。
  responses:
    general_error:
      description: リクエストエラー。リクエストの形式が不正であるか、無効なパラメータが含まれています。エラーコードとメッセージを確認してください。
      content:
        application/json:
          schema:
            required:
              - code
              - message
              - details
            type: object
            properties:
              code:
                example: 40001
                type: integer
              message:
                example: エラーの背景やフィールド単位の情報などを含む追加データオブジェクトです。
                type: string
              details:
                type: object
    rate_limit_error:
      description: レート制限超過。一定期間内に多すぎるリクエストが送信されました。レート制限ウィンドウがリセットされた後に再試行してください。
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: クライアントはしばらく待ってから再試行することが推奨されます。
                type: string
    server_error:
      description: 内部サーバーエラー。サーバーで予期しないエラーが発生しました。エラーが続く場合はサポートにお問い合わせください。
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: レスポンスボディには `error` フィールドが含まれ、問題の概要がメッセージとして記載されます。
                type: string
  securitySchemes:
    pubrio_api_key:
      type: apiKey
      name: pubrio-api-key
      description: >-
        API で実行する操作内容と、その操作に付与された権限を識別するための一意の API トークンです。このトークンはダッシュボードの
        [設定](https://dashboard.pubrio.com/#/settings/) 画面から発行できます。
      in: header

````